<?php
/**
* @version		2.6.0 29/04/2016
* @package		myjspace.php
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2012-2013-2014-2015-2016 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined( '_JEXEC' ) or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

jimport('joomla.plugin.plugin');
jimport('joomla.html.parameter');

class plgKunenaMyJspace extends JPlugin
{
	public function __construct(&$subject, $config)
	{
		// Do not load if Kunena version is not supported or Kunena is offline
		if (!(class_exists('KunenaForum') && KunenaForum::isCompatible('2.0') && KunenaForum::installed())) 
			return;

		// Do not load if com_myjspace component is not installed
		if (!file_exists(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php'))
			return;

		parent::__construct ($subject, $config);
		$this->path = dirname ( __FILE__ ).DS.'myjspace';
	}

	// Use AlphaUserPoints abilities ... for Personal page ... (so can't use the 2 in // ) 
	// You may have to change the label content COM_KUNENA_AUP_MEDALS to "" into components\com_kunena\language\en-GB\en-GB.com_kunena.templates.ini for a beter look 
	public function onKunenaGetActivity()
	{
		if (!$this->params->get('activity', 1)) return;

		require_once "{$this->path}/activity.php";
		return new KunenaActivityMyJspace($this->params);
	}
}
